Ability to review files attached to wikis using windows tools like picture viewer 
Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Wiki Estimated time: 0.00 hour
Description

I have been promoting and using redmine, and would like to suggest an important feature.

Each project and wiki has an associated list of files of various types.  In many cases the users desktop has a way of reviewing and

displaying those files conveniently (if only they could be downloaded spontaneously).

Imagine that the user is looking through ten files for the third file.  Currently he needs to click each link one by one to examine the file

content and make sure it is the file he needs.  I suggest that redmine could create a temporary symlink inside a temporary unix folder

pointing to only those # files in the current review list. That way the user could have desktop access to those particular files (using

say samba)and thus be able to review them using his desktop tools.  The temporary folder of symlinks would delete when that wiki or

project has lost focus.

Redmine stores the files using the unqiue hash code and so

History

#1 - 2013-10-13 08:45 - Jan Niggemann (redmine.org team member)

- Status changed from New to Needs feedback

Redmine can only interact with the browser it is running in.

Your idea, although I don't fully understand it (wiki list of files?), is IMHO best be realized with a plugin.

The implementations for the proposed mechanism would differ greatly between the operating systems redmine is running on, which would lead to

OS-dependant code in the codebase, which is a bad idea.

Perhaps a plugin like dmsf would be interesting for you?

#2 - 2014-06-01 02:30 - mark edwards

i have been looking at apijs plugin and have noted a few facts about redmine.

redmine 2.x has a tmp folder,  it also can have a tmp/thumbnails folder if admin settings are yes.

in a similar way but much more useful...

i propose that the redmine sysop could share the tmp folder on the LAN using ftp/samba (for local server based installations of redmine).

for the current issue or wiki page that is in one particular users 'focus' (he is currently on that html page)

i propose that another folder in ../tmp could exist  /tmp/username/filesattached-thisfocus * for each current user.

(the folder would contain a copy of the particular focus' 'attached files' from the ../files folder)

(the files there would be erased when the user GET to another html page.)

now the user can use his normal desktop windows tools to review the relevant files that are attached to the redmine html page he is currently

inspecting. all he will need is a single 'symlink' pointing to the shared folder ../tmp/username like //redmineserver/myusername

this is great idea because we can launch the relevant programs that (can understand weird filetypes) are installed only on the users desktop system

as required - (to inspect the redmine attached files).

#3 - 2014-06-01 02:39 - mark edwards

mark edwards wrote:

i have been looking at apijs plugin and have noted a few facts about redmine.

redmine 2.x has a tmp folder,  it also can have a tmp/thumbnails folder if admin settings are yes.
in a similar way but much more useful...

i propose that the redmine sysop could share the tmp folder on the LAN using ftp/samba (for local server based installations of redmine).

for the current issue or wiki page that is in one particular users 'focus' (he is currently on that html page)

i propose that another folder in ../tmp could exist  /tmp/username/filesattached-thisfocus * for each current user.

(the folder would contain a copy of the particular focus' 'attached files' from the ../files folder)

(the files there would be erased when the user GET to another html page.)

now the user can use his normal desktop windows tools to review the relevant files that are attached to the redmine html page he is currently

inspecting. all he will need is a single 'symlink' pointing to the shared folder ../tmp/username like //redmineserver/myusername

this is great idea because we can launch the relevant programs that (can understand weird filetypes) are installed only on the users desktop

system as required - (to inspect the redmine attached files).

 also their is no longer any need to provide server side tools that try to identify thumbnail and interpret a wide range of filetypes (png, gif, bmp etc.)

(users desktop will do that).

#4 - 2014-06-01 02:43 - mark edwards

mark edwards wrote:

mark edwards wrote:

i have been looking at apijs plugin and have noted a few facts about redmine.

redmine 2.x has a tmp folder,  it also can have a tmp/thumbnails folder if admin settings are yes.

in a similar way but much more useful...

i propose that the redmine sysop could share the tmp folder on the LAN using ftp/samba (for local server based installations of redmine).

for the current issue or wiki page that is in one particular users 'focus' (he is currently on that html page)

i propose that another folder in ../tmp could exist  /tmp/username/filesattached-thisfocus * for each current user.

(the folder would contain a copy of the particular focus' 'attached files' from the ../files folder)

(the files there would be erased when the user GET to another html page.)

now the user can use his normal desktop windows tools to review the relevant files that are attached to the redmine html page he is

currently inspecting. all he will need is a single 'symlink' pointing to the shared folder ../tmp/username like //redmineserver/myusername

this is great idea because we can launch the relevant programs that (can understand weird filetypes) are installed only on the users desktop

system as required - (to inspect the redmine attached files).

 also their is no longer any need to provide server side tools that try to identify thumbnail and interpret a wide range of filetypes (png, gif, bmp

etc.) (users desktop will do that).

 to avoid privacy problems of files in tmp - we would manually setup the network share specifically for each user, and i don't see why that wouldn't be

possible on an internet shared redmine instance.

#5 - 2014-06-01 02:44 - mark edwards

mark edwards wrote:

mark edwards wrote:

mark edwards wrote:

i have been looking at apijs plugin and have noted a few facts about redmine.

redmine 2.x has a tmp folder,  it also can have a tmp/thumbnails folder if admin settings are yes.

in a similar way but much more useful...

i propose that the redmine sysop could share the tmp folder on the LAN using ftp/samba (for local server based installations of

redmine).

for the current issue or wiki page that is in one particular users 'focus' (he is currently on that html page)

i propose that another folder in ../tmp could exist  /tmp/username/filesattached-thisfocus * for each current user.

(the folder would contain a copy of the particular focus' 'attached files' from the ../files folder)
(the files there would be erased when the user GET to another html page.)

now the user can use his normal desktop windows tools to review the relevant files that are attached to the redmine html page he is

currently inspecting. all he will need is a single 'symlink' pointing to the shared folder ../tmp/username like

//redmineserver/myusername

 

 - now he will always have two windows open on his desktop - one is browser with a redmine page - other is ftp window or 'explore' window showing

current attached files.

this is great idea because we can launch the relevant programs that (can understand weird filetypes) are installed only on the users

desktop system as required - (to inspect the redmine attached files).

 also their is no longer any need to provide server side tools that try to identify thumbnail and interpret a wide range of filetypes (png, gif,

bmp etc.) (users desktop will do that).

 to avoid privacy problems of files in tmp - we would manually setup the network share specifically for each user, and i don't see why that wouldn't

be possible on an internet shared redmine instance maybe using good ftp software ?.

#6 - 2014-06-01 20:34 - Jan Niggemann (redmine.org team member)

- Status changed from Needs feedback to Closed

- Resolution set to Wont fix

Please check your quoting style and quote less text, that makes your posts more easily readable.

i propose that the redmine sysop could share the tmp folder on the LAN using ftp/samba (for local server based installations of redmine).

 Often, the redmine administrator does not have uid 0 and can not access the system directly.

for the current issue or wiki page that is in one particular users 'focus' (he is currently on that html page)

 i propose that another folder in ../tmp could exist /tmp/username/filesattached-thisfocus * for each current user.

(the folder would contain a copy of the particular focus' 'attached files' from the ../files folder)

(the files there would be erased when the user GET to another html page.)

How would you limit IO so that lots of requests wouldn't automatically lead to a DoS-like situation on the server?

now the user can use his normal desktop windows tools to review the relevant files that are attached to the redmine html page he is currently

inspecting. all he will need is a single 'symlink' pointing to the shared folder ../tmp/username like //redmineserver/myusername

 All files can be downloaded by any application using the already existing links via http(s).

this is great idea because we can launch the relevant programs that (can understand weird filetypes) are installed only on the users desktop

system as required - (to inspect the redmine attached files).

 If the browser is aware of the media type (aka MIME type), then the file can be opened with every application on the users' desktop the browser

"knows".

also their is no longer any need to provide server side tools that try to identify thumbnail and interpret a wide range of filetypes (png, gif, bmp

etc.) (users desktop will do that).

 Thumbnails are generated when the user uploads a file. There is nothing like a server-side tool for identification of thumbnails, the are just like all

other files that are served by the webserver.

now he will always have two windows open on his desktop - one is browser with a redmine page - other is ftp window or 'explore' window

showing current attached files.

 Redmine is a web application and as such, doesn't require anything besides a browser. Having a second window open would be a usability disaster.

Powered by TCPDF (www.tcpdf.org)

2024-04-10 3/3

http://www.tcpdf.org

